EASIK
=====

A variety of software is available to provide a graphical environment for designing entity-relational diagrams (ERDs), and for translating these into a database description in a database language such as SQL. See http://en.wikipedia.org/wiki/Entity-relationship_model for some examples.

The Easik application implements an enhancement of the ERA design paradigm by using the Sketch Data Model (see next paragraph). The enhancement provides simple and precise expressiveness of constraints, and it automatically enforces constraints in models. The visual design is also cleaner since there are fewer graphical element types than in ERA.

The Sketch Data Model (SkDM) is a new data model under development by Michael Johnson, Robert Rosebrugh and others. It is related to the Entity Relation Attribute (ERA) model and uses the category-theoretic concept of Sketch.

Easik has been developed since 2005 at Mount Allison University under the supervision of Robert Rosebrugh .