package easik.os;

/**
 * Implemented by classes that provide a adjustMenu() method to adjust the menu
 * of a window prior to displaying it.  Currently this is only done by OS X,
 * but implemented this way to be generic for possible future use.
 */
public interface EasikMenuAdjuster
{
    /**
     *
     *
     * @param menu
     */
    void adjustMenu(javax.swing.JMenuBar menu);
}
